<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - An Inequality</TITLE>
<link href="suifmath_13.html" rel=Next>
<link href="suifmath_11.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_11.html">previous</A>, <A HREF="suifmath_13.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC12" HREF="suifmath_toc.html#TOC12">An Inequality</A></H2>
<P>
<A NAME="IDX262"></A>
<A NAME="IDX263"></A>

</P>
<P>
A linear inequality is represented by the class <CODE>constraint</CODE>.  The
class <CODE>constraint</CODE> is derived from the class <CODE>integer_row</CODE>.
Thus, all functions in section <A HREF="suifmath_6.html#SEC6">A Single Row</A> apply to the constraints.
The size of each constraint is given by the function <CODE>n()</CODE>. (For
a system of inequalities <VAR>A</VAR>, the <VAR>i</VAR>-th constraint is given by
<CODE>A[i]</CODE>).
<A NAME="IDX264"></A>
<A NAME="IDX265"></A>
<A NAME="IDX266"></A>
<A NAME="IDX267"></A>
<A NAME="IDX268"></A>

</P>

<UL>
<LI><A HREF="suifmath_13.html#SEC13">Constraint Manipulation</A>: How to create and change a constraint
<LI><A HREF="suifmath_14.html#SEC14">Constraint Math</A>: Mathematical operations of a constraint
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_11.html">previous</A>, <A HREF="suifmath_13.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
